## org.eclipse.emf.ecore.impl
Class EStoreEObjectImpl.EStoreImpl

    java.lang.Object
      org.eclipse.emf.ecore.impl.EStoreEObjectImpl.EStoreImpl

All Implemented Interfaces:
  InternalEObject.EStore

Enclosing class:
  EStoreEObjectImpl

    public static class EStoreEObjectImpl.EStoreImpl

extends java.lang.Object
implements InternalEObject.EStore

This class is for testing purposes only and will be removed.

Nested Class Summary
`static class` `EStoreEObjectImpl.EStoreImpl.Entry`

Field Summary
`protected java.util.Map<EStoreEObjectImpl.EStoreImpl.Entry,java.lang.Object>` `map`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject.EStore
`NO_INDEX`

Constructor Summary
`EStoreEObjectImpl.EStoreImpl()`

Method Summary
`void` `add(InternalEObject eObject, EStructuralFeature feature, int index, java.lang.Object value)` Adds the value at the index in the `content` of the object's feature.
`void` `clear(InternalEObject eObject, EStructuralFeature feature)` Removes all values form the `content` of the object's feature
`boolean` `contains(InternalEObject eObject, EStructuralFeature feature, java.lang.Object value)` Returns whether the `content` of the object's feature contains the given value.
`EObject` `create(EClass eClass)` Creates a new instance of the class.
`java.lang.Object` `get(InternalEObject eObject, EStructuralFeature feature, int index)` Returns the value at the index in the `content` of the object's feature.
`InternalEObject` `getContainer(InternalEObject eObject)` Returns the object's `container`.
`EStructuralFeature` `getContainingFeature(InternalEObject eObject)` Returns the object's `containing feature`.
`protected EList<java.lang.Object>` `getList(EStoreEObjectImpl.EStoreImpl.Entry entry)`
`int` `hashCode(InternalEObject eObject, EStructuralFeature feature)` Returns the hash code of the `content` of the object's feature.
`int` `indexOf(InternalEObject eObject, EStructuralFeature feature, java.lang.Object value)` Returns the first index of the given value in the `content` of the object's feature.
`boolean` `isEmpty(InternalEObject eObject, EStructuralFeature feature)` Returns whether the `content` of the object's feature is empty.
`boolean` `isSet(InternalEObject eObject, EStructuralFeature feature)` Returns whether the object's feature is considered set.
`int` `lastIndexOf(InternalEObject eObject, EStructuralFeature feature, java.lang.Object value)` Returns the last index of the given value in the `content` of the object's feature.
`java.lang.Object` `move(InternalEObject eObject, EStructuralFeature feature, int targetIndex, int sourceIndex)` Moves the value at the source index in the `content` of the object's feature to the target index.
`java.lang.Object` `remove(InternalEObject eObject, EStructuralFeature feature, int index)` Removes the value at the index in the `content` of the object's feature.
`java.lang.Object` `set(InternalEObject eObject, EStructuralFeature feature, int index, java.lang.Object value)` Sets the value at the index in the `content` of the object's feature.
`int` `size(InternalEObject eObject, EStructuralFeature feature)` Returns the number of values in the `content` of the object's feature.
`java.lang.Object[]` `toArray(InternalEObject eObject, EStructuralFeature feature)` Returns a new array of the values in the `content` of the object's feature.

`

`<T> T[]`

`

`toArray(InternalEObject eObject, EStructuralFeature feature, T[] array)`
Returns an array of the values in the `content` of the object's feature.

`void` `unset(InternalEObject eObject, EStructuralFeature feature)` Unsets the feature of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### map

    protected java.util.Map<EStoreEObjectImpl.EStoreImpl.Entry,java.lang.Object> map

Constructor Detail

### EStoreEObjectImpl.EStoreImpl

    public EStoreEObjectImpl.EStoreImpl()

Method Detail

### getList

    protected EList<java.lang.Object> getList(EStoreEObjectImpl.EStoreImpl.Entry entry)

### get

    public java.lang.Object get(InternalEObject eObject,
                                EStructuralFeature feature,
                                int index)

  Description copied from interface: `InternalEObject.EStore`
  Returns the value at the index in the `content` of the object's feature.

  Specified by:
    `get` in interface `InternalEObject.EStore`
  Parameters:
    `eObject` - the object in question.
    `feature` - a feature of the object.
    `index` - an index within the content or `InternalEObject.EStore.NO_INDEX`.
  Returns:
    the value at the index in the content of the object's feature.

### set

    public java.lang.Object set(InternalEObject eObject,
                                EStructuralFeature feature,
                                int index,
                                java.lang.Object value)

  Description copied from interface: `InternalEObject.EStore`
  Sets the value at the index in the `content` of the object's feature.

  Specified by:
    `set` in interface `InternalEObject.EStore`
  Parameters:
    `eObject` - the object in question.
    `feature` - a feature of the object.
    `index` - an index within the content or `InternalEObject.EStore.NO_INDEX`.
    `value` - the new value.
  Returns:
    the previous value.

### add

    public void add(InternalEObject eObject,
                    EStructuralFeature feature,
                    int index,
                    java.lang.Object value)

  Description copied from interface: `InternalEObject.EStore`
  Adds the value at the index in the `content` of the object's feature.

  Specified by:
    `add` in interface `InternalEObject.EStore`
  Parameters:
    `eObject` - the object in question.
    `feature` - a `many-valued` feature of the object.
    `index` - an index within the content.
    `value` - the value to add.

### remove

    public java.lang.Object remove(InternalEObject eObject,
                                   EStructuralFeature feature,
                                   int index)

  Description copied from interface: `InternalEObject.EStore`
  Removes the value at the index in the `content` of the object's feature.

  Specified by:
    `remove` in interface `InternalEObject.EStore`
  Parameters:
    `eObject` - the object in question.
    `feature` - a `many-valued` feature of the object.
    `index` - the index within the feature's content of the value to remove.
  Returns:
    the removed value.

### move

    public java.lang.Object move(InternalEObject eObject,
                                 EStructuralFeature feature,
                                 int targetIndex,
                                 int sourceIndex)

  Description copied from interface: `InternalEObject.EStore`
  Moves the value at the source index in the `content` of the object's feature to the target index.

  Specified by:
    `move` in interface `InternalEObject.EStore`
  Parameters:
    `eObject` - the object in question.
    `feature` - a `many-valued` feature of the object.
    `targetIndex` - the index within the feature's content to which to move the value.
    `sourceIndex` - the index within the feature's content of the value to move.
  Returns:
    the moved value.

### clear

    public void clear(InternalEObject eObject,
                      EStructuralFeature feature)

  Description copied from interface: `InternalEObject.EStore`
  Removes all values form the `content` of the object's feature

  Specified by:
    `clear` in interface `InternalEObject.EStore`
  Parameters:
    `eObject` - the object in question.
    `feature` - a `many-valued` feature of the object.

### isSet

    public boolean isSet(InternalEObject eObject,
                         EStructuralFeature feature)

  Description copied from interface: `InternalEObject.EStore`
  Returns whether the object's feature is considered set.

  Specified by:
    `isSet` in interface `InternalEObject.EStore`
  Parameters:
    `eObject` - the object in question.
    `feature` - a feature of the object.
  Returns:
    `true` if the object's feature is considered set.

### unset

    public void unset(InternalEObject eObject,
                      EStructuralFeature feature)

  Description copied from interface: `InternalEObject.EStore`
  Unsets the feature of the object.

  Specified by:
    `unset` in interface `InternalEObject.EStore`
  Parameters:
    `eObject` - the object in question.
    `feature` - a feature of the object.

### size

    public int size(InternalEObject eObject,
                    EStructuralFeature feature)

  Description copied from interface: `InternalEObject.EStore`
  Returns the number of values in the `content` of the object's feature.

  Specified by:
    `size` in interface `InternalEObject.EStore`
  Parameters:
    `eObject` - the object in question.
    `feature` - a `many-valued` feature of the object.
  Returns:
    the number of values in the content of the object's feature.

### indexOf

    public int indexOf(InternalEObject eObject,
                       EStructuralFeature feature,
                       java.lang.Object value)

  Description copied from interface: `InternalEObject.EStore`
  Returns the first index of the given value in the `content` of the object's feature.

  Specified by:
    `indexOf` in interface `InternalEObject.EStore`
  Parameters:
    `eObject` - the object in question.
    `feature` - a `many-valued` feature of the object.
    `value` - the value in question.
  Returns:
    the first index of the given value in the content of the object's feature.

### lastIndexOf

    public int lastIndexOf(InternalEObject eObject,
                           EStructuralFeature feature,
                           java.lang.Object value)

  Description copied from interface: `InternalEObject.EStore`
  Returns the last index of the given value in the `content` of the object's feature.

  Specified by:
    `lastIndexOf` in interface `InternalEObject.EStore`
  Parameters:
    `eObject` - the object in question.
    `feature` - a `many-valued` feature of the object.
    `value` - the value in question.
  Returns:
    the last index of the given value in the content of the object's feature.

### toArray

    public java.lang.Object[] toArray(InternalEObject eObject,
                                      EStructuralFeature feature)

  Description copied from interface: `InternalEObject.EStore`
  Returns a new array of the values in the `content` of the object's feature.

  Specified by:
    `toArray` in interface `InternalEObject.EStore`
  Parameters:
    `eObject` - the object in question.
    `feature` - a `many-valued` feature of the object.
  Returns:
    a new array of the values in the content of the object's feature.

### toArray

    public <T> T[] toArray(InternalEObject eObject,
                           EStructuralFeature feature,
                           T[] array)

  Description copied from interface: `InternalEObject.EStore`
  Returns an array of the values in the `content` of the object's feature. The given array will be used, unless it's too small, in which case a new array of the same type is allocated instead.

  Specified by:
    `toArray` in interface `InternalEObject.EStore`
  Parameters:
    `eObject` - the object in question.
    `feature` - a `many-valued` feature of the object.
    `array` - the array to fill.
  Returns:
    an array of the values in the content of the object's feature.

### isEmpty

    public boolean isEmpty(InternalEObject eObject,
                           EStructuralFeature feature)

  Description copied from interface: `InternalEObject.EStore`
  Returns whether the `content` of the object's feature is empty.

  Specified by:
    `isEmpty` in interface `InternalEObject.EStore`
  Parameters:
    `eObject` - the object in question.
    `feature` - a `many-valued` feature of the object.
  Returns:
    `true` if the content of the object's feature is empty.

### contains

    public boolean contains(InternalEObject eObject,
                            EStructuralFeature feature,
                            java.lang.Object value)

  Description copied from interface: `InternalEObject.EStore`
  Returns whether the `content` of the object's feature contains the given value.

  Specified by:
    `contains` in interface `InternalEObject.EStore`
  Parameters:
    `eObject` - the object in question.
    `feature` - a `many-valued` feature of the object.
    `value` - the value in question.
  Returns:
    `true` if the content of the object's feature contains the given value.

### hashCode

    public int hashCode(InternalEObject eObject,
                        EStructuralFeature feature)

  Description copied from interface: `InternalEObject.EStore`
  Returns the hash code of the `content` of the object's feature.

  Specified by:
    `hashCode` in interface `InternalEObject.EStore`
  Parameters:
    `eObject` - the object in question.
    `feature` - a `many-valued` feature of the object.
  Returns:
    the hash code of the content of the object's feature.

### getContainer

    public InternalEObject getContainer(InternalEObject eObject)

  Description copied from interface: `InternalEObject.EStore`
  Returns the object's `container`.

  Specified by:
    `getContainer` in interface `InternalEObject.EStore`
  Returns:
    the object's container.
  See Also:
    `EObject.eContainer()`

### getContainingFeature

    public EStructuralFeature getContainingFeature(InternalEObject eObject)

  Description copied from interface: `InternalEObject.EStore`
  Returns the object's `containing feature`.

  Specified by:
    `getContainingFeature` in interface `InternalEObject.EStore`
  Returns:
    the object's containing feature.
  See Also:
    `EObject.eContainingFeature()`

### create

    public EObject create(EClass eClass)

  Description copied from interface: `InternalEObject.EStore`
  Creates a new instance of the class.

  Specified by:
    `create` in interface `InternalEObject.EStore`
  Parameters:
    `eClass` - the class to instantiate.
  Returns:
    a new instance of the class.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.